Bug 1907632 - Operator Registry should update its kubernetes dependencies to 1.20
Summary: Operator Registry should update its kubernetes dependencies to 1.20
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Alexander Greene
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-14 21:55 UTC by Alexander Greene
Modified: 2021-02-24 15:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The Operator Registry's Kubernetes dependencies were not at 1.20 Consequence: The Operator Registry cannot take advantage of new features introduced in Kubernetes 1.20. Fix: Bump the Operator Registry's Kubernetes dependencies to 1.20. Result: The Operator Registry can now take advantage of new features introduced in Kubernetes 1.20.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-registry pull 537 0 None closed Bug 1907632: Bump k8s deps to 1.20 2021-02-18 23:13:39 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:00 UTC

Description Alexander Greene 2020-12-14 21:55:26 UTC
Description of problem:
OLM currently does not use version 0.20 for its Kubernetes dependencies.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1. Visit https://github.com/operator-framework/operator-registry/blob/master/go.mod

Actual results:
Older Kubernetes dependencies are present

Expected results:
Version 0.20 dependencies should be present.

Comment 2 Jian Zhang 2020-12-16 01:36:46 UTC
LGTM, verify it. See: https://github.com/operator-framework/operator-registry/blob/master/go.mod
And it works well.

[root@preserve-olm-env operator-registry]# git log
commit b883288704220699151ca7b5e5b4353856ed4964
Merge: b59ef52 266403f
Author: Vu Dinh <vdinh@redhat.com>
Date:   Tue Dec 15 11:33:02 2020 -0500

    Merge pull request #537 from awgreene/bump-k8s-1.20
    
    Bug 1907632: Bump k8s deps to 1.20
...
[root@preserve-olm-env operator-registry]# make build
GOFLAGS="-mod=vendor" go build  -tags "json1" -o bin/appregistry-server ./cmd/appregistry-server
GOFLAGS="-mod=vendor" go build  -tags "json1" -o bin/configmap-server ./cmd/configmap-server
GOFLAGS="-mod=vendor" go build  -tags "json1" -o bin/initializer ./cmd/initializer
GOFLAGS="-mod=vendor" go build  -tags "json1" -o bin/registry-server ./cmd/registry-server
GOFLAGS="-mod=vendor" go build -ldflags "-X 'github.com/operator-framework/operator-registry/cmd/opm/version.gitCommit=b883288' -X 'github.com/operator-framework/operator-registry/cmd/opm/version.opmVersion=v1.14.3-82-gb883288' -X 'github.com/operator-framework/operator-registry/cmd/opm/version.buildDate=2020-12-16T01:22:14Z'"  -tags "json1" -o bin/opm ./cmd/opm

[root@preserve-olm-env operator-registry]# ./bin/opm version
Version: version.Version{OpmVersion:"v1.14.3-82-gb883288", GitCommit:"b883288", BuildDate:"2020-12-16T01:22:14Z", GoOs:"linux", GoArch:"amd64"}

Comment 5 errata-xmlrpc 2021-02-24 15:43:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.